<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= toolbar title: t(:label_general) %>

<%= styled_form_tag(admin_settings_update_general_path, method: :patch) do %>
  <section class="form--section">
    <div class="form--field"><%= setting_text_field :app_title, size: 30, container_class: '-middle' %></div>
    <div class="form--field">
      <%= setting_text_field :per_page_options, size: 20, container_class: '-slim' %>
      <span class="form--field-instructions">
        <%= t(:text_comma_separated) %><br/>
        <%= t(:text_notice_too_many_values_are_inperformant) %>
      </span>
    </div>
    <div class="form--field">
      <%= setting_number_field :activity_days_default, size: 6, unit: t(:label_day_plural), container_class: '-xslim' %>
    </div>
    <div class="form--field">
      <%= setting_text_field :host_name, size: 60, container_class: '-middle' %>
      <span class="form--field-instructions">
        <%= t(:label_example) %>: <%= @guessed_host %>
      </span>
    </div>
    <div class="form--field"><%= setting_check_box :cache_formatted_text %></div>
    <div class="form--field"><%= setting_check_box :feeds_enabled, size: 6 %></div>
    <div class="form--field"><%= setting_text_field :feeds_limit, size: 6, container_class: '-xslim' %></div>
    <div class="form--field"><%= setting_text_field :work_packages_projects_export_limit, size: 6, container_class: '-xslim' %></div>
    <div class="form--field">
      <%= setting_text_field :file_max_size_displayed, size: 6, unit: t(:"number.human.storage_units.units.kb"), container_class: '-xslim' %>
    </div>
    <div class="form--field"><%= setting_text_field :diff_max_lines_displayed, size: 6, container_class: '-xslim' %></div>

    <%= call_hook(:view_settings_general_form) %>
    <fieldset class="form--fieldset">
      <legend class="form--fieldset-legend"><%= t(:setting_welcome_text) %></legend>
      <div class="form--field"><%= setting_text_field :welcome_title, size: 30, container_class: '-wide' %></div>
      <div class="form--field -visible-overflow">
        <%= setting_text_area :welcome_text,
                              cols: 60,
                              rows: 5,
                              class: 'wiki-edit',
                              id: 'settings_welcome_text',
                              with_text_formatting: true,
                              container_class: '-xxwide' %>
      </div>
      <div class="form--field"><%= setting_check_box :welcome_on_homescreen %></div>
    </fieldset>
  </section>
  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<% end %>
